<%= render 'share/option_admin' %>
<div class="container-body">
  <div class="title-page col-lg-12">
    <div class="row col-lg-6 col-sm-6">
        <p>Edit Member Profile</p>
    </div>
    <div class=" col-lg-offset-11 col-sm-offset-10">
      <%= link_to '<button class="btn btn-lg btn-primary white-btn">Back</button>'.html_safe, admin_users_path %>
    </div>
  </div>
  <div class="row container-body-edit">
    <div class=" col-sm-6 col-sm-offset-3 col-lg-6 col-lg-offset-3"> 
        <%= form_for(@member, url: admin_user_path(@member), html: { method: :put }) do |f| %>
          <div class="row container-body ">
          <div class="form-group">
              <div class=" form-group col-lg-6 col-lg-offset-3">
                <div id="image-upload" >
                  <i class="fa fa-window-close fa-2x close-icon" aria-hidden="true" id = "close-icon"></i>
                  <label for="file-input-avatar" class="label-upload" id="old-image">
                      <%= image_tag(@member.avatar, class: "photo medium") %>
                  </label>
                  <label for="file-input-avatar" class="label-upload" id= "new-image">
                      <%= image_tag(@member.avatar, class: "photo medium", id:"output-avatar") %>
                  </label>
                  <label for="file-input-avatar" class="label-upload" id = "upload-photo"  >
                      <i class="fa fa-plus" style="font-size:70px; color: #BDBDBD;" id = "plus-icon"></i>
                  </label>
                  <%= f.file_field :avatar, multiple: false, id: "file-input-avatar", onchange: "document.getElementById('output-avatar').src = window.URL.createObjectURL(this.files[0])", class: "form-group upload-img"%><br> 
                </div>
            </div>
          </div>
        </div>
        <div class="col-lg-12 col-sm-12">
          <% if notice %><div class="alert alert-info col-lg-12"><%= notice %></div><% end %>
          <% if alert %><div class="alert alert-info col-lg-12"><%= alert %></div><% end %>
        </div>
        
        <div>
          <p class="title-edit">Basic Information</p>
        </div>

        <div class="form-group">
          <%= f.label :first_name %><br />
          <%= f.text_field :first_name, autofocus: true, autocomplete: "first_name" , class: "form-control", require: true %>
        </div>


        <div class="form-group">
          <%= f.label :last_name %><br />
          <%= f.text_field :last_name, autofocus: false, autocomplete: "last_name" , class: "form-control" , require: true%>
        </div>

        <div class="form-group">
          <%= f.label :email %><br />
          <%= f.email_field :email, autofocus: false, autocomplete: "email" , class: "form-control", require: true %>
        </div>


        <div class="form-group">
          <%= f.label "Active?" %>
          <% if @member.confirmed_at != nil%>
              <%= f.check_box :confirmed_at, disabled: true , checked: true, class: "check-box"%>
          <%else %>
              <%= f.check_box :confirmed_at, disabled: true, class: "check-box"%>
          <%end%>
        </div>

        <div class="actions col-lg-4 col-lg-offset-5">
          <%= f.submit "Update", class: "btn btn-lg btn-success" %>
        </div>
        <%end%>
    </div>
  </div>
</div>



